unameOut="$(uname -s)"
case "${unameOut}" in
    Linux*)     
      machine=Linux;;
    Darwin*)    
      machine=Mac;;
    CYGWIN*)    
      machine=Cygwin;;
    MINGW*)     
      machine=MinGw;;
    MSYS_NT*)   
      machine=Git;;
    *)          
      machine="UNKNOWN:${unameOut}"
esac

if [ "$machine" = "Mac" ]
then
  pkg_manager = 'brew'
  echo "Installing brew package manager"
  bash realpath program/package_manager/brew/install_brew.sh
fi

if [ "$machine" = "Linux" ]
then
  pkg_manager = 'apt'
fi


echo "Installing ${pkg_manager} packages"
bash realpath program/package_manager/${pkg_manager}/packages.sh
if [ -f realpath program/package_manager/${pkg_manager}/others ]
then
for file in $(program/package_manager/${pkg_manager}/others/*.sh) 
do
  bash ${file}
done
fi

echo "Installing side packages"
for file in $(realpath others/**/*.sh)
do
  bash ${file}
done
echo "Installing dotfiles"
for file in $(realpath dotfiles/**/*.sh)
do
  bash ${file}
done

